aboutsummaryrefslogtreecommitdiff
path: root/boca-1.5.2/doc/problemexamples/multas/tests
diff options
context:
space:
mode:
authorcassiopc <cassiopc@gmail.com>2012-10-24 07:56:07 +0000
committercassiopc <cassiopc@gmail.com>2012-10-24 07:56:07 +0000
commit3a5f406ff59a05c0eddda191127d58b39cb8049b (patch)
treef3ff6adfea30fba8271dedc81d7d652737ae397e /boca-1.5.2/doc/problemexamples/multas/tests
parent9ae5ead9f89bcc7195420bdf6cc78db2c63dbeda (diff)
downloadboca-3a5f406ff59a05c0eddda191127d58b39cb8049b.tar.gz
boca-3a5f406ff59a05c0eddda191127d58b39cb8049b.zip
open dir for 1.5.2. I still must split devel and master in different branches to properly use git...
Diffstat (limited to 'boca-1.5.2/doc/problemexamples/multas/tests')
-rwxr-xr-xboca-1.5.2/doc/problemexamples/multas/tests/c36
1 files changed, 36 insertions, 0 deletions
diff --git a/boca-1.5.2/doc/problemexamples/multas/tests/c b/boca-1.5.2/doc/problemexamples/multas/tests/c
new file mode 100755
index 0000000..de0a9c5
--- /dev/null
+++ b/boca-1.5.2/doc/problemexamples/multas/tests/c
@@ -0,0 +1,36 @@
+#!/bin/bash
+#
+# This file performs a test of the autojudge system. It can run whatever you feel important to test the autojudge
+# and the script files that are included in the problem package
+
+cat > test.c <<EOF
+#include<stdio.h>
+int main() {
+ char s[100];
+ scanf("%s", s);
+ printf("%s\n",s);
+ return 0;
+}
+EOF
+cat > test.in <<EOF
+inputdata
+EOF
+
+TL=2
+REP=10
+chmod 755 ../compile/c
+../compile/c test.c test.exe $TL
+chmod 755 ../run/c
+../run/c test.exe test.in $TL $REP
+if [ -r stdout0 ]; then
+ output=`cat stdout0`
+ if [ "$output" != "inputdata" ]; then
+ echo "ERROR"
+ exit 1
+ fi
+else
+ echo "ERROR"
+ exit 1
+fi
+echo "TEST PASSED"
+exit 0